package ru.ulstu.extractor.controller;

import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import ru.ulstu.extractor.model.mvc.IndexRepoForm;
import ru.ulstu.extractor.model.mvc.RepoForm;
import ru.ulstu.extractor.service.GitRepositoryService;

@Controller
public class BaseIndexingController {
    private final GitRepositoryService gitRepositoryService;

    public BaseIndexingController(GitRepositoryService gitRepositoryService) {
        this.gitRepositoryService = gitRepositoryService;
    }

    @GetMapping("/indexRepo")
    public String indexNewRepo(Model model) {
        model.addAttribute(new RepoForm());
        return "indexRepo";
    }

    @RequestMapping(value = "/indexRepo", method = RequestMethod.POST, params = "send")
    public String getBranch(@ModelAttribute IndexRepoForm indexRepoForm, Model model) {
        try {
            return "indexRepo";
        } catch (Exception ex) {
            model.addAttribute("error", ex.getMessage());
            return "indexRepo";
        }
    }
}
